# ClippingPlane

#### new Cesium.ClippingPlane(normal, distance)
Scene/ClippingPlane.js 19

A Plane in Hessian Normal form to be used with `ClippingPlaneCollection`. Compatible with mathematics functions in `Plane`

Name | Type | Description
--- | --- | ---
`normal` | Cartesian3 | The plane's normal (normalized).
`distance` | Number | The shortest distance from the origin to the plane. The sign of `distance` determines which side of the plane the origin is on. If `distance` is positive, the origin is in the half-space in the direction of the normal; if negative, the origin is in the half-space opposite to the normal; if zero, the plane passes through the origin.

### Members

#### distance : Number
Scene/ClippingPlane.js 42

The shortest distance from the origin to the plane. The sign of `distance` determines which side of the plane the origin is on. If `distance` is positive, the origin is in the half-space in the direction of the normal; if negative, the origin is in the half-space opposite to the normal; if zero, the plane passes through the origin.

#### normal : Cartesian3
Scene/ClippingPlane.js 62

The plane's normal.

### Methods

#### static Cesium.ClippingPlane.clone(clippingPlane, result) → ClippingPlane
Scene/ClippingPlane.js 106

Clones the ClippingPlane without setting its ownership.

Name | Type | Description
--- | --- | ---
`clippingPlane` | ClippingPlane | The ClippingPlane to be cloned
`result` | ClippingPlane | optional The object on which to store the cloned parameters.

##### Returns:

a clone of the input ClippingPlane

#### static Cesium.ClippingPlane.fromPlane(plane, result) → ClippingPlane
Scene/ClippingPlane.js 86

Create a ClippingPlane from a Plane object.

Name | Type | Description
--- | --- | ---
`plane` | Plane | The plane containing parameters to copy
`result` | ClippingPlane | optional The object on which to store the result

##### Returns:

The ClippingPlane generated from the plane's parameters.